workflow:
  rules:
    - if: $CI_COMMIT_BRANCH == "master" && ($CI_PIPELINE_SOURCE == "push" || $CI_PIPELINE_SOURCE == "web")

default:
  image: docker:latest
  services:
    - docker:dind

variables:
  DOCKER_IMAGE_NAME: $CI_REGISTRY/$CI_PROJECT_NAMESPACE/$MAIN_PROJECT_NAME/$CI_PROJECT_NAME

stages:
  - dockerize

build-docker-image:
  stage: dockerize
  before_script:
    - docker info
    - docker login -u $CI_REGISTRY_USER -p $DEPLOY_TOKEN $CI_REGISTRY
  script:
    - docker build -t $DOCKER_IMAGE_NAME:$CI_COMMIT_SHORT_SHA .
    - docker tag $DOCKER_IMAGE_NAME:$CI_COMMIT_SHORT_SHA $DOCKER_IMAGE_NAME:latest
    - docker push $DOCKER_IMAGE_NAME:$CI_COMMIT_SHORT_SHA
    - docker push $DOCKER_IMAGE_NAME:latest